import { SourceBase } from "./SourceBase";
export class LiveSts extends SourceBase {
    constructor() {
        super();
        this.nativeGetEncryptionTypeValue = () => {
            return this.mEncryptionType;
        };
        this.nativeSetEncryptionType = (r40) => {
            this.mEncryptionType = r40;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (q40) => {
            this.mSecurityToken = q40;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (p40) => {
            this.mAccessKeyId = p40;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (o40) => {
            this.mAccessKeySecret = o40;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (n40) => {
            this.mRegion = n40;
        };
        this.nativeGetUrl = () => {
            return this.mUrl;
        };
        this.nativeSetUrl = (m40) => {
            this.mUrl = m40;
        };
        this.nativeGetDomain = () => {
            return this.mDomain;
        };
        this.nativeSetDomain = (l40) => {
            this.mDomain = l40;
        };
        this.nativeGetApp = () => {
            return this.mApp;
        };
        this.nativeSetApp = (k40) => {
            this.mApp = k40;
        };
        this.nativeGetStream = () => {
            return this.mStream;
        };
        this.nativeSetStream = (j40) => {
            this.mStream = j40;
        };
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mUrl = "";
        this.mDomain = "";
        this.mApp = "";
        this.mStream = "";
        this.mEncryptionType = LiveEncryptionType.NoEncryption;
    }
    getEncryptionTypeValue() {
        return this.mEncryptionType;
    }
    setEncryptionType(q39) {
        this.mEncryptionType = q39;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(p39) {
        this.mSecurityToken = p39;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(o39) {
        this.mAccessKeyId = o39;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(n39) {
        this.mAccessKeySecret = n39;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(m39) {
        this.mRegion = m39;
    }
    getUrl() {
        return this.mUrl;
    }
    setUrl(l39) {
        this.mUrl = l39;
    }
    getDomain() {
        return this.mDomain;
    }
    setDomain(k39) {
        this.mDomain = k39;
    }
    getApp() {
        return this.mApp;
    }
    setApp(j39) {
        return this.mApp = j39;
    }
    getStream() {
        return this.mStream;
    }
    setStream(i39) {
        this.mStream = i39;
    }
}
export var LiveEncryptionType;
(function (h39) {
    h39[h39["NoEncryption"] = 0] = "NoEncryption";
    h39[h39["AliEncryption"] = 1] = "AliEncryption";
    h39[h39["WideVine_FairPlay"] = 2] = "WideVine_FairPlay";
})(LiveEncryptionType || (LiveEncryptionType = {}));
